Skip to content
Start here

List WARP change events.

client.zeroTrust.dex.warpChangeEvents.get(WARPChangeEventGetParams { account_id, from, page, 7 more } params, RequestOptionsoptions?): WARPChangeEventGetResponse { , }
GET/accounts/{account_id}/dex/warp-change-events

List WARP configuration and enablement toggle change events by device.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare DEX WriteCloudflare DEX ReadZero Trust ReportZero Trust Read
ParametersExpand Collapse
params: WARPChangeEventGetParams { account_id, from, page, 7 more }
account_id: string

Path param: unique identifier linked to an account in the API request path

maxLength32
from: string

Query param: Start time for the query in ISO (RFC3339 - ISO 8601) format

page: number

Query param: Page number of paginated results

minimum1
per_page: number

Query param: Number of items per page

maximum50
minimum1
to: string

Query param: End time for the query in ISO (RFC3339 - ISO 8601) format

account_name?: string

Query param: Filter events by account name.

config_name?: string

Query param: Filter events by WARP configuration name changed from or to. Applicable to type=‘config’ events only.

sort_order?: "ASC" | "DESC"

Query param: Sort response by event timestamp.

One of the following:
"ASC"
"DESC"
toggle?: "on" | "off"

Query param: Filter events by type toggle value. Applicable to type=‘toggle’ events only.

One of the following:
"on"
"off"
type?: "config" | "toggle"

Query param: Filter events by type ‘config’ or ‘toggle’

One of the following:
"config"
"toggle"
ReturnsExpand Collapse
WARPChangeEventGetResponse = Array<DigitalExperienceMonitoringWARPToggleChangeEvent { account_name, account_tag, device_id, 6 more } | DigitalExperienceMonitoringWARPConfigChangeEvent { device_id, device_registration, from, 5 more } >
One of the following:
DigitalExperienceMonitoringWARPToggleChangeEvent { account_name, account_tag, device_id, 6 more }
account_name?: string

The account name.

account_tag?: string

The public account identifier.

device_id?: string

API Resource UUID tag.

maxLength36
device_registration?: string

API Resource UUID tag.

maxLength36
hostname?: string

The hostname of the machine the event is from

serial_number?: string

The serial number of the machine the event is from

timestamp?: string

Timestamp in ISO format

toggle?: "on" | "off"

The state of the WARP toggle.

One of the following:
"on"
"off"
user_email?: string

Email tied to the device

DigitalExperienceMonitoringWARPConfigChangeEvent { device_id, device_registration, from, 5 more }
device_id?: string

API Resource UUID tag.

maxLength36
device_registration?: string

API Resource UUID tag.

maxLength36
from?: From { account_name, account_tag, config_name }
account_name?: string

The account name.

account_tag?: string

API Resource UUID tag.

maxLength36
config_name?: string

The name of the WARP configuration.

hostname?: string

The hostname of the machine the event is from

serial_number?: string

The serial number of the machine the event is from

timestamp?: string

Timestamp in ISO format

to?: To { account_name, account_tag, config_name }
account_name?: string

The account name.

account_tag?: string

API Resource UUID tag.

maxLength36
config_name?: string

The name of the WARP configuration.

user_email?: string

Email tied to the device

List WARP change events.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const warpChangeEvents = await client.zeroTrust.dex.warpChangeEvents.get({
  account_id: '01a7362d577a6c3019a474fd6f485823',
  from: '2023-09-20T17:00:00Z',
  page: 1,
  per_page: 1,
  to: '2023-09-20T17:00:00Z',
});

console.log(warpChangeEvents);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "account_name": "account_name",
      "account_tag": "account_tag",
      "device_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "device_registration": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "hostname": "hostname",
      "serial_number": "serial_number",
      "timestamp": "2023-10-11T00:00:00Z",
      "toggle": "on",
      "user_email": "user_email"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "account_name": "account_name",
      "account_tag": "account_tag",
      "device_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "device_registration": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "hostname": "hostname",
      "serial_number": "serial_number",
      "timestamp": "2023-10-11T00:00:00Z",
      "toggle": "on",
      "user_email": "user_email"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}